跳转到内容

单独下单(仅生成订单)

POST /app/order/orderConfirmOnly
字段 名称 类型 是否必填
spu 规格数组 array 是
address 收货地址 object 是
order_sn 本地订单编号 string 是
remark 订单备注 string 否
spu:
字段 名称 类型 是否必填
sku 规格id(中台 int 是
number 购买数量 int 是
share_live_room_id 直播间id int 否(如存在这个参数则所有下单商品必须都是这个直播间的)
event_distribution_id 团购活动id int 否
address :
字段 名称 类型 是否必填
consignee 收货人姓名 string 是
phone 收货人手机号 string 是
province 省 string 是
city 市 string 是
area 区 string 是
street 街道 string 否
description 详细地址 string 是
## 返回结果
可参照订单详情API注释
```json
```json
{
"code": 0,
"data": {
"Orders": [
{
"id": 396,
"created_at": 1635749996,
"updated_at": 1635749996,
"order_sn": 179932499956,
"third_order_sn": "ceshi11112",
"key": "12-0-58-0",
"title": " ceshi0802",
"status": 0,
"amount": 8640,
"item_amount": 8000,
"supply_amount": 10000,
"cost_amount": 10000,
"freight": 0,
"service_fee": 0,
"goods_count": 1,
"send_status": 0,
"remark": "",
"note": "",
"technical_services_fee": 640,
"paid_at": null,
"sent_at": null,
"received_at": null,
"closed_at": null,
"user_id": 35,
"supplier_id": 12,
"gather_supply_id": 0,
"application_id": 0,
"trade_id": 0,
"pay_type_id": 0,
"pay_info_id": 0,
"shipping_method_id": 0,
"shipping_address_id": 333,
"send_type_id": 0,
"comment_status": 0,
"amount_detail": {
"title": "订单总价",
"amount": 8640,
"qty": 0,
"desc": "",
"amount_items": [
{
"title": "商品总价",
"amount": 8000,
"qty": 0,
"desc": "",
"amount_items": null
},
{
"title": "技术服务费",
"amount": 640,
"qty": 0,
"desc": "服务费比例800",
"amount_items": null
},
{
"title": "总运费",
"amount": 0,
"qty": 0,
"desc": "",
"amount_items": null
}
]
},
"order_items": [
{
"id": 479,
"created_at": 1635749996,
"updated_at": 1635749996,
"key": "",
"title": "ceshi0802供应商的商品1",
"sku_title": "默认",
"unit": "",
"qty": 1,
"amount": 8000,
"discount_amount": 0,
"deduction_amount": 0,
"cost_amount": 10000,
"payment_amount": 8000,
"supply_amount": 10000,
"image_url": "https://supply-chain-zhongtai.oss-cn-beijing.aliyuncs.com/20211027/1635325820QQ截图20211007105506.png",
"send_status": 0,
"trade_id": 0,
"supplier_id": 12,
"user_id": 35,
"order_id": 396,
"product_id": 1028721,
"sku_id": 21137,
"original_sku_id": 0,
"order_express_id": 0,
"amount_detail": {
"title": "",
"amount": 0,
"qty": 0,
"desc": "",
"amount_items": [
{
"title": "商品等级优惠",
"amount": -2000,
"qty": 0,
"desc": "",
"amount_items": []
},
{
"title": "商品总价",
"amount": 8000,
"qty": 0,
"desc": "",
"amount_items": []
}
]
},
"options": [
{
"spec_name": "规格",
"spec_item_name": "默认"
}
],
"sku": {
"id": 0,
"created_at": null,
"updated_at": null,
"title": "",
"price": 0,
"cost_price": 0,
"origin_price": 0,
"guide_price": 0,
"activity_price": 0,
"stock": 0,
"weight": 0,
"is_display": 0,
"product_id": 0,
"supplier_id": 0,
"sn": "",
"image_url": "",
"options": null,
"original_sku_id": 0
}
}
],
"order_express": {
"id": 0,
"created_at": null,
"updated_at": null,
"order_id": 0,
"company_code": "",
"express_no": "",
"order_items": null
},
"shipping_address": {
"id": 333,
"realname": "测试",
"mobile": "18249104358",
"country_id": 0,
"province_id": 23,
"city_id": 2301,
"county_id": 230102,
"town_id": 140425201,
"province": "黑龙江省",
"city": "哈尔滨市",
"county": "道里区",
"town": "东寺头乡",
"detail": "兆麟街道",
"lng": "",
"lat": ""
}
}
]
},
"msg": "操作成功"
}